Loading...
Searching...
No Matches
fastjet::VPoint Class Reference

More...

`#include <fastjet/internal/Voronoi.hh>`

## Public Member Functions

| VPoint ()
| defailt ctor
| VPoint (double _x, double _y)
| ctor with initialisation
VPoint | operator+ (const VPoint &p) const
| addition
VPoint | operator- (const VPoint &p) const
| subtraction
VPoint | operator* (const double t) const
| scalar multiplication

## Public Attributes

double | x
| vector coordinates
double | y

## Detailed Description

Definition at line 126 of file Voronoi.hh.

## Constructor & Destructor Documentation

## VPoint() [1/2]

fastjet::VPoint::VPoint | ( |  | ) |

inline

defailt ctor

Definition at line 129 of file Voronoi.hh.

## VPoint() [2/2]

fastjet::VPoint::VPoint | ( | double | _x,
|  | double | _y )

inline

ctor with initialisation

Definition at line 132 of file Voronoi.hh.

## Member Function Documentation

## operator+()

VPoint fastjet::VPoint::operator+ | ( | const VPoint & | p | ) | const

inline

addition

Definition at line 135 of file Voronoi.hh.

## operator-()

VPoint fastjet::VPoint::operator- | ( | const VPoint & | p | ) | const

inline

subtraction

Definition at line 140 of file Voronoi.hh.

## operator*()

VPoint fastjet::VPoint::operator* | ( | const double | t | ) | const

inline

scalar multiplication

Definition at line 145 of file Voronoi.hh.

## Member Data Documentation

## x

double fastjet::VPoint::x

vector coordinates

Definition at line 150 of file Voronoi.hh.

## y

double fastjet::VPoint::y

Definition at line 150 of file Voronoi.hh.

The documentation for this class was generated from the following file:

- include/fastjet/internal/Voronoi.hh